package cokr.xit.ens.biz.traffic.cheonan.signtalk.service.support.accept;

import cokr.xit.ens.biz.traffic.cheonan.signtalk.domain.TcaElctrnNticSndngDetail;
import cokr.xit.ens.modules.ktsigntalk.gibis.model.config.DocumentConfKtGbs;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class AcptDocKtGbs implements Accept<DocumentConfKtGbs> {

    private final TcaElctrnNticSndngDetail tcaElctrnNticSndngDetail;
    private final String redirectUrl;

    @Override
    public DocumentConfKtGbs createDocument() {
        return DocumentConfKtGbs.builder()
                .hash(null)
                .srcSeq(null)
                .mmsDtlCnts(null)
//                .mmsTitle()
                .rcsDtlCnts(null)
                .url(redirectUrl)
                .mdn(null)
                .build();

    }
}
